com.google.common.util.concurrent

## Class UncheckedTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.common.util.concurrent.UncheckedTimeoutException

- All Implemented Interfaces:
    java.io.Serializable

      public class UncheckedTimeoutException
      extends java.lang.RuntimeException

  Unchecked version of `TimeoutException`.
  Since:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncheckedTimeoutException()`
    `UncheckedTimeoutException(java.lang.String message)`
    `UncheckedTimeoutException(java.lang.String message, java.lang.Throwable cause)`
    `UncheckedTimeoutException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UncheckedTimeoutException

          public UncheckedTimeoutException()

    - #### UncheckedTimeoutException

          public UncheckedTimeoutException(@Nullable
                                   java.lang.String message)

    - #### UncheckedTimeoutException

          public UncheckedTimeoutException(@Nullable
                                   java.lang.Throwable cause)

    - #### UncheckedTimeoutException

          public UncheckedTimeoutException(@Nullable
                                   java.lang.String message,
                                   @Nullable
                                   java.lang.Throwable cause)